WLHEADLESS(1)

NAME
wlheadless-run - Run a Wayland client on a dedicated headless Wayland compositor.

SYNOPSIS
wlheadless-run [-c compositor ] [compositor option ...] -- client [client options ...]

DESCRIPTION
wlheadless-run is used to spawn a given Wayland client on a dedicated Wayland compositor running headless.

OPTIONS

-c COMPOSITOR
    Use the compositor class implementation. Currently supported compositor classes are weston, kwin, mutter, gnome-kiosk, cage.

FILES

wlheadless.conf

Sets the default compositor to use.

The file is searched in wlheadless directory relative to the paths specified in the standard environment variables XDG_DATA_HOME and XDG_DATA_DIRS.

[DEFAULT]
    Compositor = weston

SEE ALSO
weston(1), cage(1), mutter(1)